import * as VueRouter from 'vue-router';
import ViewAdmin from '../components/views/ViewAdmin.vue';
import ViewBank from '../components/views/ViewBank.vue';
import ViewCheckIn from '../components/views/ViewCheckIn.vue';
import ViewData from '../components/views/ViewData.vue';
import ViewCompaniesData from '../components/views/ViewCompaniesData.vue';
import ViewEmployer from '../components/views/ViewEmployer.vue';
import ViewRadio from '../components/views/ViewRadio.vue';
import ViewStatePortal from '../components/views/ViewStatePortal.vue';
import { useEventBus } from '@vueuse/core';

const routes = [
  {
    path: '/data',
    name: 'data',
    component: ViewData,
  },
  {
    path: '/companies-data',
    name: 'companies-data',
    component: ViewCompaniesData,
  },
  {
    path: '/admin',
    name: 'admin',
    component: ViewAdmin,
  },
  {
    path: '/settings',
    name: 'settings',
    component: ViewStatePortal,
  },
  {
    path: '/employer',
    name: 'employer',
    component: ViewEmployer,
  },
  {
    path: '/checkin',
    name: 'checkin',
    component: ViewCheckIn,
  },
  {
    path: '/bank',
    name: 'bank',
    component: ViewBank,
  },
  {
    path: '/radio',
    name: 'radio',
    component: ViewRadio,
  },
];

const router = VueRouter.createRouter({
  history: VueRouter.createWebHistory(),
  routes,
});

router.beforeEach((to) => {
  window.scrollTo(0, 0);
  if(to.name === 'admin') {
    useEventBus<boolean>('hideNavigation').emit(true);
  } else {
    useEventBus<boolean>('hideNavigation').emit(false);
  }
});

export default router;